@ECHO OFF
IF NOT "%OS%"=="Windows_NT" GOTO Syntax
IF NOT  "%~2"==""           GOTO Syntax
ECHO.%1 | FIND "/" > NUL && GOTO Syntax
EXIFTOOL -h > NUL 2>&1   || GOTO Syntax
IF "%~1"=="" (
	EXIFTOOL -T -q -if "$Software =~ /Paint ?Shop ?Pro/i" -FileName -Software *
) ELSE (
	EXIFTOOL -T -q -if "$Software =~ /Paint ?Shop ?Pro/i" -FileName -Software "%~1"
)
GOTO:EOF


:Syntax
ECHO.
ECHO CheckPSP.bat,  Version 1.00 for Windows 2000 and later
ECHO List all of the specified photographs that have been edited with Paint Shop Pro
ECHO.
ECHO Usage:  CHECKPSP   [ filespec ]
ECHO.
ECHO Where:  "filespec" is the file(s) (wildcards allowed) or directory (default *)
ECHO.
ECHO Note:   Requires Phil Harvey's ExifTool: www.sno.phy.queensu.ca/~phil/exiftool/
ECHO         Will only work when Paint Shop Pro is set to save EXIF data.
ECHO         Can easily be modified to look for other program names.
ECHO.
ECHO Written by Rob van der Woude
ECHO http://www.robvanderwoude.com

IF "%OS%"=="Windows_NT" EXIT /B 1
